IcapdMsg() {
    if type squid3 >/dev/null 2>&1; then
        SQUID=squid3
    elif type squid >/dev/null 2>&1; then
        SQUID=squid
    fi

    SQUID_VER=
    SQUID_ICAP_STATUS=

    if [ -n "$SQUID" ] ; then
        # Only digits allowed for squid version
        SQUID_VER=`$SQUID -v | $GREP '^Squid Cache' | $AWK '{print $4}' | $AWK -F. '{print $1$2}' | $GREP -E '^[0-9]+$'`

        # Search for enable-icap-client build option
        SQUID_ICAP_STATUS=`$SQUID -v | $GREP '^configure options' | $GREP 'enable-icap-client'`
    fi

    echo
    if [ -z "$SQUID_VER" ] || [ $SQUID_VER -lt 30 ] ; then
        true
#        eval_gettext "Could not find Squid installed. For using the Dr.Web ICAPD, any HTTP proxy with ICAP support is required." ; echo
    elif [ -z "$SQUID_ICAP_STATUS" ] ; then
        eval_gettext "It seems like the installed Squid is built without the '--enable-icap-client' option." ; echo
        eval_gettext "Please make and install Squid with this option before integration with Dr.Web ICAPD." ; echo
    else
        eval_gettext "To enable interaction between the Squid and the Dr.Web ICAPD, please add the following lines into the Squid configuration file:" ; echo
        echo

        if [ $SQUID_VER -eq 30 ] ; then
            cat << EOF
# ------------------------------------------------------------------------------
# Enabling Squid to use the ICAP
icap_enable on

# Registering Dr.Web ICAPD as ICAP services used by Squid
icap_service icap_reqmod reqmod_precache 0 icap://127.0.0.1:1344/reqmod
icap_service icap_respmod respmod_precache 0 icap://127.0.0.1:1344/respmod

icap_class icapd_class_req icap_reqmod
icap_class icapd_class_resp icap_respmod

icap_access icapd_class_req allow all
icap_access icapd_class_resp allow all
# ------------------------------------------------------------------------------
EOF
        else
            cat << EOF
# ------------------------------------------------------------------------------
# Enabling Squid to use the ICAP
icap_enable on

# Registering Dr.Web ICAPD as ICAP services used by Squid
icap_service  icap_reqmod  reqmod_precache  bypass=0  icap://127.0.0.1:1344/reqmod
icap_service  icap_respmod  respmod_precache  bypass=0  icap://127.0.0.1:1344/respmod

adaptation_access icap_reqmod allow all
adaptation_access icap_respmod allow all
# ------------------------------------------------------------------------------
EOF
        fi

    echo
    fi

    # Show the help message pointing to some proxy setup docs.
    eval_gettext "To start the Dr.Web ICAPD, use the 'drweb-ctl cfset ICAPD.Start yes' command (superuser privileges are required)." ; echo
    echo
}
