DEFAULT_LICENSE_FILE=$CONFDIR/drweb32.key

KEY_SCRIPT_NAME=`basename $0`

CheckKeyExists() {
    [ -f "$DEFAULT_LICENSE_FILE" ] && return 0
    return 1
}

SetKey() {
    CheckKeyExists && return 0

    # Ask user for path to the key.
    #
    while true ; do
        eval_gettext "Enter path to the Dr.Web key file or '0' to skip: "
        read file
        echo
        [ -z "$file" ] && continue
        [ "$file" = "0" ] && break
        if [ -f "$file" ] ; then
            # Check the key.
            if IsKeyValid "$file" ; then
                true
            else
                eval_gettext 'Invalid key file.' >&2 ; echo >&2
                echo
                continue
            fi

            # Check for clean install (default license file is absent on disk).
            if [ -f "$DEFAULT_LICENSE_FILE" ] ; then
                true
            else
                # Add this license file under default name.
                cp -p -f "$file" $DEFAULT_LICENSE_FILE
                serv=drweb-configd
                [ "`GetPlatform`" = freebsd ] && serv="01.$serv"
                ToggleServiceStatus "$serv" "reload"
            fi

            break
        else
            eval_gettext 'Specified path to key file is invalid. Try again, please.' ; echo
        fi
    done
}

IsKeyValid() {
   return 0
}
