ToggleServiceStatus() {
retval=0
if [ $# -ne 2 ] ; then
    eval_gettext 'ToggleServiceStatus: Must be 2 arguments -- ToggleServiceStatus <service name> <start|stop|reload>' >&2 ; echo >&2
    return 1
fi
service="$1"
action="$2"
case "$action" in
    start)
	init_append="start"
    ;;
    stop)
	init_append="stop"
    ;;
    reload)
	init_append="reload"
    ;;
    *)
	return 1
    ;;
esac

if type service >/dev/null 2>&1; then
    service "$service" "$init_append"
    retval=$?
else
    if [ `GetPlatform` = freebsd ]; then
        initdir=/usr/local/etc/rc.d
    elif [ -x /etc/boxinit.d/*"$service" ]; then
        initdir=/etc/boxinit.d
    else
        initdir=/etc/init.d
    fi
    service_init="`find "$initdir" -name "*$service" 2>/dev/null`"

    if [ -x "$service_init" ] ; then
        "$service_init" "$init_append"
        retval=$?
    else
        printf "`eval_gettext \"Init-script for service %s is not found.\"`" "$service" >&2 ; echo >&2
        retval=1
    fi
fi
return $retval
}
